Bug 65376 - error message while building from kernel-source
error message while building from kernel-source
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-22 16:36 EDT by D. Hugh Redelmeier
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2002-05-22 16:36:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020313

Description of problem:
When building a kernel from kernel-source-2.4.18-4, using
configs/kernel-2.4.18-athlon.config with no changes, I get:
| /sbin/genksyms  -k 2.4.18 >
/usr/src/linux-2.4.18-4/include/linux/modules/53c700.ver.tmp
In file included from 53c700.c:134:
53c700.h:40:2: #error "Config.in must define either CONFIG_53C700_IO_MAPPED or
CONFIG_53C700_MEM_MAPPED to use this scsi core."
53c700.c:155:22: 53c700_d.h: No such file or directory


Version-Release number of selected component (if applicable):
kernel-source-2.4.18-4.rpm

How reproducible:
Always

Steps to Reproduce:
1.install kernel-source-2.4.18-4.rpm
2. build it, using configs/kernel-2.4.18-athlon.config
3. examine log


Actual Results:  | /sbin/genksyms  -k 2.4.18 >
/usr/src/linux-2.4.18-4/include/linux/modules/53c700.ver.tmp
In file included from 53c700.c:134:
53c700.h:40:2: #error "Config.in must define either CONFIG_53C700_IO_MAPPED or
CONFIG_53C700_MEM_MAPPED to use this scsi core."
53c700.c:155:22: 53c700_d.h: No such file or directory


Expected Results:  no #error

Additional info:
Comment 1 Arjan van de Ven 2002-05-28 07:34:25 EDT
1) did you do a make oldconfig ?
2) did you do a make dep before make bzImage ?
Comment 2 D. Hugh Redelmeier 2002-05-28 13:11:14 EDT
1) I used xconfig, but made no changes with it.  Just save & exit
2) Yes, I did to a make dep before make bzImage.

I have a transcript, but it seems bulky (1 meg).  To make this concise, I'll
just show you the commands I issued.

- "problem avoidance" is to avoid
<http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=64814>

- this is a complete list of commands issued.

[root@redsky hugh]# # new kernel (2.4.18-4).  Build from scratch WITH problem
avoidance
[root@redsky hugh]# cd /usr/src/linux-2.4.18-4
[root@redsky linux-2.4.18-4]# df /
[root@redsky linux-2.4.18-4]# cmp /boot/config-2.4.18-4
configs/kernel-2.4.18-athlon.config
[root@redsky linux-2.4.18-4]# egrep '^EXTRA' Makefile
[root@redsky linux-2.4.18-4]# cat /etc/grub.conf
[root@redsky linux-2.4.18-4]# time make mrproper
[root@redsky linux-2.4.18-4]# xterm
[root@redsky linux-2.4.18-4]# # use
/usr/src/linux-2.4.18-4/configs/kernel-2.4.18-athlon.config
[root@redsky linux-2.4.18-4]# # PROBLEM AVOIDANCE:
[root@redsky linux-2.4.18-4]# cp -p configs/kernel-2.4.18-athlon.config .config
[root@redsky linux-2.4.18-4]# time make xconfig
[root@redsky linux-2.4.18-4]# time make dep
[root@redsky linux-2.4.18-4]# time make clean
[root@redsky linux-2.4.18-4]# time make bzImage modules modules_install install
[root@redsky linux-2.4.18-4]# # note: /etc/grub.conf is automatically updated!
[root@redsky linux-2.4.18-4]# exit
Comment 3 Bugzilla owner 2004-09-30 11:39:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.